# pqxx::prepare::internal::prepared_def Struct Reference

Internal representation of a prepared statement definition. More...

`#include <prepared_statement.hxx>`

List of all members.

## Public Member Functions

| prepared_def ()
| prepared_def (const PGSTD::string &)
void | addparam (const PGSTD::string &sqltype, param_treatment)

## Public Attributes

PGSTD::string | definition
| Text of prepared query.
PGSTD::vector< param > | parameters
| Parameter list.
bool | registered
| Has this prepared statement been prepared in the current session?
bool | complete
| Is this definition complete?

## Classes

struct | param
| Parameter definition. More...

## Detailed Description

Internal representation of a prepared statement definition.

## Constructor & Destructor Documentation

pqxx::prepare::internal::prepared_def::prepared_def | ( |  | ) |

pqxx::prepare::internal::prepared_def::prepared_def | ( | const PGSTD::string & |  | ) | `[explicit]`

## Member Function Documentation

void pqxx::prepare::internal::prepared_def::addparam | ( | const PGSTD::string & | sqltype,
|  | param_treatment |  |
| ) |  |  |

## Member Data Documentation

PGSTD::string pqxx::prepare::internal::prepared_def::definition

Text of prepared query.

PGSTD::vector<param> pqxx::prepare::internal::prepared_def::parameters

Parameter list.

bool pqxx::prepare::internal::prepared_def::registered

Has this prepared statement been prepared in the current session?

bool pqxx::prepare::internal::prepared_def::complete

Is this definition complete?

The documentation for this struct was generated from the following files:

- prepared_statement.hxx
- prepared_statement.cxx